Package biotransformer.fingerprint

## Class SFingerprint

- java.lang.Object
- - biotransformer.fingerprint.SFingerprint

    public class SFingerprint
    extends java.lang.Object

### Constructor Summary

Constructors
`SFingerprint​(java.util.ArrayList<java.lang.Double> fingerprint_bits, java.util.LinkedHashMap<java.lang.String,​java.lang.String> fpatterns)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.ArrayList<java.lang.Double>` `getBitValues()`
`double[]` `getBitValuesDouble()`
`java.util.LinkedHashMap<java.lang.String,​java.lang.Integer>` `getfeatureMap()`
`java.util.ArrayList<java.lang.Integer>` `getOnBits()`
`java.util.ArrayList<java.lang.String>` `getOnFeatures​(java.util.LinkedHashMap<java.lang.String,​java.lang.String> fpatterns)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SFingerprint

    public SFingerprint​(java.util.ArrayList<java.lang.Double> fingerprint_bits,
                        java.util.LinkedHashMap<java.lang.String,​java.lang.String> fpatterns)

### Method Detail

#### getBitValues

    public java.util.ArrayList<java.lang.Double> getBitValues()

#### getBitValuesDouble

    public double[] getBitValuesDouble()

#### getOnBits

    public java.util.ArrayList<java.lang.Integer> getOnBits()

#### getfeatureMap

    public java.util.LinkedHashMap<java.lang.String,​java.lang.Integer> getfeatureMap()

#### getOnFeatures

    public java.util.ArrayList<java.lang.String> getOnFeatures​(java.util.LinkedHashMap<java.lang.String,​java.lang.String> fpatterns)
                                                        throws java.lang.Exception

Throws:
  `java.lang.Exception`